import type { AgentMessage } from './AgentMessage';
import type { Handler } from './Handler';
import type { InboundMessageContext } from './models/InboundMessageContext';
import { MessageSender } from './MessageSender';
import { TransportService } from './TransportService';
declare class Dispatcher {
    private handlers;
    private messageSender;
    private transportService;
    constructor(messageSender: MessageSender, transportService: TransportService);
    registerHandler(handler: Handler): void;
    dispatch(messageContext: InboundMessageContext): Promise<void>;
    private getHandlerForType;
    getMessageClassForType(messageType: string): typeof AgentMessage | undefined;
}
export { Dispatcher };
